### Function

# Pango Gravity get_for_script_and_width

since: 1.26

#### Declaration [src]

    PangoGravity
    pango_gravity_get_for_script_and_width (
      PangoScript script,
      gboolean wide,
      PangoGravity base_gravity,
      PangoGravityHint hint
    )

#### Description [src]

Returns the gravity to use in laying out a single character or `PangoItem`.

The gravity is determined based on the script, East Asian width, base gravity, and hint,

This function is similar to `pango_gravity_get_for_script()` except that this function makes a distinction between narrow/half-width and wide/full-width characters also. Wide/full-width characters always stand upright, that is, they always take the base gravity, whereas narrow/full-width characters are always rotated in vertical context.

If `base_gravity` is `PANGO_GRAVITY_AUTO`, it is first replaced with the preferred gravity of `script`.

Available since: 1.26

#### Parameters

`script`

  Type: `PangoScript`

  `PangoScript` to query.

`wide`

  Type: `gboolean`

  `TRUE` for wide characters as returned by g_unichar_iswide().

`base_gravity`

  Type: `PangoGravity`

  Base gravity of the paragraph.

`hint`

  Type: `PangoGravityHint`

  Orientation hint.

#### Return value

Type: `PangoGravity`

Resolved gravity suitable to use for a run of text with `script` and `wide`.